# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:          opendict
Summary:       Open-source multiplatform computer dictionary software
Version:       0.6.8
Release:       alt2_2
License:       GPLv2
Group:         Text tools
Url:           http://sourceforge.net/projects/%{name}
Source0:       https://sourceforge.net/projects/opendict/files/%{name}-%{version}.tar.gz
BuildArch:     noarch
Requires:      python-base python-tools-2to3
Requires:      wxPython >= 3.0
Requires:    festival
Source44: import.info

%description
OpenDict is open-source multiplatform computer dictionary software. Supported
dictionary formats include:
* DICT
* Slowo
* Mova
* LingvoSoft
* Plugin dictionaries

OpenDict has a built-in DICT client, so you can use it to connect to large
databases (like dict.org).

If your company (or you) is going to develop a dictionary (simple or very
complex), then OpenDict is ready to use platform for any dictionary, because it
supports Plugin dictionaries that can be developed to act the way you wish.

%prep
%setup -q


#fix incorrect update locales (https://sourceforge.net/p/opendict/bugs/22)
#pot file was updated in upstream manually by author, but bug was not fixed
rm -f po/%{name}.pot

%build
#nothing

%install
%makeinstall_std DESTDIR=%{buildroot}%{_prefix}
install -m 755 scripts/%{name}-festival-pulseaudio.sh %{buildroot}%{_bindir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS.txt README.txt TODO.txt doc/Plugin-HOWTO.html
%{_mandir}/man1/%{name}*
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 0.6.8-alt2_2
- rebuild

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.6.8-alt1_2
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.6.8-alt1_1
- new version

